Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361522 - yum --downloadonly renames rpm in local repository
Summary: yum --downloadonly renames rpm in local repository
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 09:38 UTC by alan.dennis
Modified: 2017-12-06 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 12:26:52 UTC


Attachments (Terms of Use)

Description alan.dennis 2016-07-29 09:38:48 UTC
Description of problem:
Exactly the same as bug 993567 - --downloadonly renaming rpm *inside* local repo hence corrupting repo.

Version-Release number of selected component (if applicable):
yum-3.2.29-75.el6_8

How reproducible:
always

Steps to Reproduce:
exactly as bug 993567

Actual results:
rpm being downloaded gets renamed by removing .noarch.rpm from filename.

Expected results:
yum --downloadonly should not corrupt the local repository by renaming rpms.

Additional info:
It looks as though this only started happening following an upgrade from yum-3.2.29-73.el6 to yum-3.2.29-75.el6_8.

As in the report for bug 993567, this was happening in a cron job and has taken a significant amount of time to track down!

Comment 2 Benjamin Allot 2016-08-29 11:30:53 UTC
Makes me think about a similar issue with "file://" repositories :

http://lists.baseurl.org/pipermail/yum-devel/2013-June/010173.html

Right now the situation is like this :

Centos 6.7 and prior : safe to use yumdownloader, repotrack, yum --downloadonly
Centos 6.8 : Use repotrack for downloading, --downloadonly broken
Centos 7 and further : use yumdownloader or yum --downloadonly, repotrack is broken

Comment 5 Jan Kurik 2017-12-06 12:26:52 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.